< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package ct600e
  Definition Classes
    ct
-  package v3
  Definition Classes
    ct600e
-  package retriever
  Definition Classes
    v3
- CT600EBoxRetriever

t

uk.gov.hmrc.ct.ct600e.v3.retriever

# CT600EBoxRetriever 

###

#### trait CT600EBoxRetriever extends BoxRetriever

Self Type
  CT600EBoxRetriever with FilingAttributesBoxValueRetriever

Linear Supertypes
BoxRetriever, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CT600EBoxRetriever
2. BoxRetriever
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def e1(): E1
2.  abstract def e10(): E10
3.  abstract def e100(): E100
4.  abstract def e105(): E105
5.  abstract def e110(): E110
6.  abstract def e115(): E115
7.  abstract def e120(): E120
8.  abstract def e130(): E130
9.  abstract def e135(): E135
10.  abstract def e140(): E140
11.  abstract def e145(): E145
12.  abstract def e15(): E15
13.  abstract def e150(): E150
14.  abstract def e155(): E155
15.  abstract def e160(): E160
16.  abstract def e165(): E165
17.  abstract def e170A(): E170A
18.  abstract def e170B(): E170B
19.  abstract def e175(): E175
20.  abstract def e180(): E180
21.  abstract def e185(): E185
22.  abstract def e190(): E190
23.  abstract def e20(): E20
24.  abstract def e3(): E3
25.  abstract def e30(): E30
26.  abstract def e35(): E35
27.  abstract def e4(): E4
28.  abstract def e40(): E40
29.  abstract def e45(): E45
30.  abstract def e5(): E5
31.  abstract def e50(): E50
32.  abstract def e55(): E55
33.  abstract def e60(): E60
34.  abstract def e65(): E65
35.  abstract def e70(): E70
36.  abstract def e75(): E75
37.  abstract def e80(): E80
38.  abstract def e85(): E85
39.  abstract def e95(): E95
40.  abstract def generateValues: Map[String, CtValue[_]]
    Definition Classes
      BoxRetriever

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
6.  def e1003(): E1003
7.  def e1005(): E1005
8.  def e1013(): E1013
9.  def e1015(): E1015
10.  def e125(): E125
11.  def e170(): E170
12.  def e2(): E2
13.  def e25(): E25
14.  def e90(): E90
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
17.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
18.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
25.  def toString(): String
    Definition Classes
      AnyRef → Any
26.  def validateValues(values: Map[String, CtValue[_]]): Set[CtValidation]
    Definition Classes
      BoxRetriever
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from BoxRetriever

### Inherited from AnyRef

### Inherited from Any

### Ungrouped